# Enum MCPVerbosity

java.lang.Object
java.lang.Enum<MCPVerbosity>
com.codename1.mcp.MCPVerbosity

All Implemented Interfaces:
  `Comparable<MCPVerbosity>`

public enum MCPVerbosity extends Enum<MCPVerbosity>

How much of the MCP conversation the server echoes to the Codename One log, so a developer can watch and debug what an agent is doing.

The levels are ordered from quietest to loudest. Each includes everything the level below it prints.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERRORS`
  Only failed calls (JSON-RPC errors and tools that report `isError`).
  `FULL`
  The full JSON-RPC request and response for every message.
  `OFF`
  No logging.
  `SUMMARY`
  One concise line per call: the method, the tool name, and whether it succeeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `includes(MCPVerbosity level)`
  Whether this level prints at least as much as the given level.
  `static MCPVerbosity`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MCPVerbosity[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final MCPVerbosity OFF
    No logging.

  - ### ERRORS

    public static final MCPVerbosity ERRORS
    Only failed calls (JSON-RPC errors and tools that report `isError`).

  - ### SUMMARY

    public static final MCPVerbosity SUMMARY
    One concise line per call: the method, the tool name, and whether it succeeded.

  - ### FULL

    public static final MCPVerbosity FULL
    The full JSON-RPC request and response for every message.

- ## Method Details

  - ### values

    public static MCPVerbosity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MCPVerbosity valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### includes

    public boolean includes(MCPVerbosity level)
    Whether this level prints at least as much as the given level.